#
# spec file for package python-typing
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if %{python3_version_nodots} > 34
%define skip_python3 1
%endif
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-typing
Version:        3.6.6
Release:        4.1
Summary:        Type Hints for Python
License:        Python-2.0
Group:          Development/Languages/Python
Url:            https://docs.python.org/3.5/library/typing.html
Source:         https://files.pythonhosted.org/packages/source/t/typing/typing-%{version}.tar.gz
Patch0:         test-sys-executable.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if 0%{?suse_version} > 1320
BuildRequires:  python3-testsuite
%endif
BuildArch:      noarch
%python_subpackages

%description
Backport of the standard library typing module for Python versions older than 3.5.

%prep
%setup -q -n typing-%{version}
%patch0 -p0
ln -s python2 python_%{python2_bin_suffix}
ln -s src python_%{python3_bin_suffix}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%python_expand $python python_%{$python_bin_suffix}/test_typing.py

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Sat Mar  2 2019 jayvdb@gmail.com
- Add test-sys-executable.patch to use python3 in Python 3 tests
* Fri Mar  1 2019 mimi.vx@gmail.com
- update to 3.6.6
  * no upstream changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Wed Jul  4 2018 dmueller@suse.com
- fix build for older distros again
* Tue May 22 2018 tchvatal@suse.com
- Actually skip the py3 as it caused bit of fuzz but reduce the
  code still
* Tue May 22 2018 tchvatal@suse.com
- Do not bother reducing the stuff to not build on 3.6, it is
  just providing noop package which does not hurt anything and
  saves 10 magic lines in spec
* Sun Feb 18 2018 arun@gmx.de
- specfile:
  * update copyright year
- update to version 3.6.4:
  * no changelog available
* Tue Sep 12 2017 aloisio@gmx.com
- Update to version 3.6.2
- Dropped mod_generics_cache.py (now supplied upstream)
* Tue Aug 15 2017 dmueller@suse.com
- fix build in python2-only environments
* Thu Jul  6 2017 sebix+novell.com@sebix.at
- only build for python3<3.5
* Sun Apr 23 2017 toddrme2178@gmail.com
- Fix license formatting
* Tue Apr 18 2017 toddrme2178@gmail.com
- The last update broke packaging due to dysfunctional testing.
  Provide the missing module from upstream.
* Tue Apr 18 2017 toddrme2178@gmail.com
- Update to 3.6.1
  * Uses python 3.6 version.
- Implement single-spec version
  Note: Some packages require this even on python 3.6.x
* Mon Aug  1 2016 michael@stroeder.com
- initial packaging of release 3.5.2.2
